'
'*************************************************************************************************************
'* This source code is provided 'as is' and any express or implied warranties, including,                    *
'* but not limited to, the implied warranties of merchantability and fitness for a particular                *
'* purpose are disclaimed.                                                                                   *
'*                                                                                                           *
'* In no event shall the author, Crownhill or contributers be liable for any direct, indirect, incidental,   *
'* special, exemplary, or consequential damages (including, but not limited to,  procurement of substitute   *
'* goods or services; loss of use, data, or profits;  or business interruption) however caused and on any    *
'* theory of liability, whether in contract, strict liability, or tort (including negligence or otherwise)   *
'* arising in any way out of the use of this source code, even if advised of the possibility of such damage. *
'*                                                                                                           *
'* Any views and conclusions contained in the source code and any documentation are those of the author's    *
'* and should not be interpreted as representing official policies,                                          *
'* either expressed or implied, of Crownhill Associates Ltd.                                                 *
'*************************************************************************************************************
'
' Demonstrate the replacement HPWM command routine
'
    Device = 16F1939
    Declare Xtal = 16
    Declare Optimiser_Level = 2
    Declare Dead_Code_Remove = On
    
    Declare CCP1_Pin = PORTC.2
    Declare CCP2_Pin = PORTC.1
    Declare CCP3_Pin = PORTE.0 
    Declare CCP4_Pin = PORTD.1
    
    Include "Hpwm_14e.inc"          ' Include the HPWM routine into the program (after the above declares)
    
    Dim bDuty As Byte
'------------------------------------------------------------------------------------
Main:   
    Declare All_Digital = 1
     
    For bDuty = 0 To 255
        HPWM 1,bDuty,2000
        DelayMS 10
    Next
    HPWM 2,150,2000
    HPWM 3,200,2000
    HPWM 4,220,2000
   
    
    Stop



